## com.arsdigita.docmgr
Class ResourceNotEmptyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.arsdigita.util.UncheckedWrapperException
                      com.arsdigita.persistence.PersistenceException
                          com.arsdigita.docmgr.ResourceNotEmptyException

All Implemented Interfaces:
  Serializable

public class ResourceNotEmptyException
extends com.arsdigita.persistence.PersistenceException

Exception thrown to indicate that resource contains children and cannot be deleted.

Version:
  $Id: //apps/docmgr/dev/src/com/arsdigita/docmgr/ResourceNotEmptyException.java#2 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.arsdigita.persistence.PersistenceException
`versionId`

Constructor Summary
`ResourceNotEmptyException(String message)` Creates a new exception with a given error message.

Methods inherited from class com.arsdigita.persistence.PersistenceException
`newInstance, newInstance, newInstance`

Methods inherited from class com.arsdigita.util.UncheckedWrapperException
`getMessage, getRootCause, hasRootCause, printStackTrace, printStackTrace, printStackTrace, throwLoggedException, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceNotEmptyException

    public ResourceNotEmptyException(String message)

  Creates a new exception with a given error message.

Parameters:
  `message` - the error message

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC